import java.util.Scanner;
public class Bank {
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);
    String nl = System.lineSeparator();
    
    Kunde k1 =  new Kunde("Meier",0);
    Konto ko1 = new Konto(1,2567.89);
    
    k1.setKundeKonto(ko1);
    
    boolean end = false;
    double summe = 0;
    while(!end) {      
      System.out.println("Was wollen Sie?");
      System.out.println("1. Kontostand anzeigen \n2. Einzahlen\n3. Auszahlen\n0. Beenden");
      
      System.out.println();
      System.out.print("Wahl: ");
      String wahl = input.next();
      System.out.println();
      switch (wahl) {
        case  "1": 
          System.out.println("Ihre Kontostand: " +k1.getKundeKonto().getKontostand());      
          break;
        case  "2":
          System.out.println("Einzahlung!");
          System.out.print("Tragen Sie die Summe: "); 
          summe = input.nextDouble();
          k1.getKundeKonto().einzahlen(summe);
          break;
        case  "3":
          System.out.println("Auszahlung!");        
          System.out.print("Tragen Sie die Summe: ");          
          summe = input.nextDouble();
          k1.getKundeKonto().auszahlen(summe);      
          break;
        case  "0": 
          end = true;   
          break;
      }
      System.out.println("----------------------------"); 
      
    }
    System.out.println("Auf Wiedersehen!");
  }
}